# zbot/plugs/input.py
#
#

""" generic input plugin. """

## IMPORTS

from zbot.utils import j, error, parse_email
from zbot import kernel, Object

import email.message
import datetime
import logging
import email
import time
import os

## COMMANDS

def do_input(event):
    if not event.rest: logging.warn("input <file>") ; return
    if not os.path.isdir(event.rest): logging.warn("not a file") ; return
    mails = parse_email(event.rest)
    nr = 0 
    for mail in mails: mail.save() ; nr += 1
    logging.warn("%s mails saved" % nr)

kernel.cmnds.register("input", do_input)
