# zbot/plugs/list.py
#
#

## IMPORTS

from zbot import kernel

# commands function

def do_list(event):
    if not event.rest: event.reply(" ".join(kernel.keys())) ; return
    name = event.args[1]
    target = kernel
    for n in name.split("."):
        try: todo = getattr(target, n)
        except AttributeError: break
        target = todo
    if not todo: return
    try: event.reply(" ".join(todo.keys()))
    except AttributeError: event.reply(todo)

kernel.cmnds.register("list", do_list)
