# zbot/plugs/wiki.py
#
#

""" query wikipedia. """

## IMPORTS

from zbot.utils import error, from_enc, do_url, strip_html, strip_wiki
from zbot import kernel, Object

from urllib.parse import quote
import logging
import cgi
import re

# Wiki class

class Wiki(Object): pass

## wiki command

def do_wiki(event):
    if not event.rest: logging.warn("wiki <item>") ; return
    what = event.rest.capitalize()
    url = 'http://en.wikipedia.org/wiki/Special:Export/%s' % quote(what.encode('utf-8'))
    o = Wiki()
    data = do_url("GET", url).read()
    txt = strip_html(strip_wiki(str(data, "utf-8")))
    o.txt = txt
    event.reply(txt)

kernel.cmnds.register("wiki", do_wiki)
